Box Hubs endpoints require the
box-version: 2025.0 header. If you omit this header, the API returns a 400 error with the message Missing required box-version header. Supported API versions: [2025.0]. For more information, see Box API versioning strategy.Hubを更新
box hubs:update 12345 --title "HR Hub" --description "Updated description for HR policies and onboarding." --ai-enabled
curl -i -X PUT "https://api.box.com/2.0/hubs/HUB_ID" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "box-version: 2025.0" \
-H "Content-Type: application/json" \
-d '{
"title": "HR Hub",
"description": "Updated description for HR policies and onboarding.",
"is_ai_enabled": true
}'
await client.hubs.updateHubByIdV2025R0(hubId, {
title: newHubTitle,
description: newHubDescription,
} satisfies HubUpdateRequestV2025R0);
client.hubs.update_hub_by_id_v2025_r0(hub_id, title=new_hub_title, description=new_hub_description)
await client.Hubs.UpdateHubByIdV2025R0Async(hubId: hubId, requestBody: new HubUpdateRequestV2025R0() { Title = newHubTitle, Description = newHubDescription });
try await client.hubs.updateHubByIdV2025R0(hubId: hubId, requestBody: HubUpdateRequestV2025R0(title: newHubTitle, description: newHubDescription))
client.getHubs().updateHubByIdV2025R0(hubId, new HubUpdateRequestV2025R0.Builder().title(newHubTitle).description(newHubDescription).build());
HUB_IDを実際のHub IDに置き換えます。リクエスト本文のフィールドは省略可能です。更新するフィールドのみを含めてください。
リクエスト本文のフィールド
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
title | string | いいえ | Box Hubのタイトル。最大文字数は50文字です。 |
description | string | いいえ | Box Hubの説明。 |
is_ai_enabled | boolean | いいえ | AI機能がHubに対して有効になっているかどうか。 |
is_collaboration_restricted_to_enterprise | boolean | いいえ | コラボレーションが企業内に制限されているかどうか。 |
